Redmine - Defect #21263

Wiki lists in the sidebar are broken
2015-11-17 23:28 - Ezequiel Hernandez

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version: 3.2.1

Resolution: Fixed Affected version:

Description

The list in the Sidebar didn't work anymore since 2.5.X version. The same problem appear with
{{child_pages}}

macro.

| tested on demo.redmine.org with the same result.

But if you put an orderer list (with #) it works.

This is due to changes in the Redmine CSS in 2.4.0 that added lines 80 and 81 in the main Redmine CSS, see also #13242.

This is my redmine:

Redmine 2.6
Ruby 2.2

Related issues:
Related to Redmine - Feature #13242: Use <li> tags for lists Closed

Associated revisions

Revision 15134 - 2016-01-30 16:29 - Jean-Philippe Lang
Wiki lists in the sidebar are broken (#21263).

Patch by Daniel Ritz.

Revision 15199 - 2016-03-12 09:25 - Jean-Philippe Lang
Merged r15134 (#21263).

Revision 15571 - 2016-06-19 10:58 - Jean-Philippe Lang
Render sidebar wiki h3 as regular sidebar h3 (#21263).

Revision 15572 - 2016-06-19 10:59 - Jean-Philippe Lang
Merged r15571 (#21263).

History

#1 - 2015-11-19 16:10 - Daniel Ritz
- File sidebar-ul-minimal-fix.patch added
Minimal fix for the problem attached:

e Wrap the wiki text a div.wiki (which is required anyway for proper wiki text styling)
e Undo the styles of form #sidebar xyz for #sidebar div.wiki xyz which works but is a bit ugly

The proper fix (IMHO) would be to wrap all content of the sidebar (except the wiki) in its own div with a class, say "content" and then match everything

with #sidebar .content xyz. This would leave the .wiki stuff unaffected and would not require dirty "counter"-rules in application.css like | did in the
minimal fix here.
www.redmine.org/projects/redmine/repository/annotate/trunk/public/stylesheets/application.css#L80
https://www.redmine.org/issues/13242

#2 - 2015-12-13 08:56 - Toshi MARUYAMA
- Related to Feature #13242: Use <li> tags for lists added

#3 - 2015-12-13 08:58 - Toshi MARUYAMA
- Category set to Ul

- Target version set to 3.3.0
#4 - 2016-01-25 21:23 - Daniel Ritz
Daniel Ritz wrote:
The proper fix (IMHO) would be to wrap all content of the sidebar (except the wiki) in its own div with a class, say "content" and then match

everything with #sidebar .content xyz. This would leave the .wiki stuff unaffected and would not require dirty "counter"-rules in application.css like
| did in the minimal fix here.

Should | implement that or is the minimal fix enough?
#5 - 2016-01-30 07:06 - Jean-Philippe Lang
Daniel Ritz wrote:
The proper fix (IMHO) would be to wrap all content of the sidebar (except the wiki) in its own div with a class

Would you do that by adding a div in each view where there is some content for the sidebar?
If so, I'd prefer the patch you've already submitted.

#6 - 2016-01-30 14:37 - Daniel Ritz
Jean-Philippe Lang wrote:
Daniel Ritz wrote:
The proper fix (IMHO) would be to wrap all content of the sidebar (except the wiki) in its own div with a class

Would you do that by adding a div in each view where there is some content for the sidebar?
If so, I'd prefer the patch you've already submitted.

Yeah, pretty much. Thinking about it some more, the minimal fix is better as it allows sidebar content at any level to insert .wiki and formatted text that
just works.

#7 - 2016-01-30 16:30 - Jean-Philippe Lang

- Subject changed from List in Sidebar to Wiki lists in the sidebar are broken
- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version changed from 3.3.0 to 3.2.1

- Resolution set to Fixed
Patch committed, thanks for the feedback.

#8 - 2016-03-12 09:25 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Files

sidebar-ul-minimal-fix.patch 1.29 KB 2015-11-19 Daniel Ritz

2025-05-09 22


http://www.tcpdf.org

